"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.client = void 0;
exports.sendMessages = sendMessages;
exports.generateGraphReport = generateGraphReport;
const axios_1 = __importDefault(require("axios"));
// @ts-ignore
const chrome = __importStar(require("ui/chrome"));
exports.client = axios_1.default.create({
    baseURL: chrome.addBasePath('/api/ai'),
    headers: {
        'Content-Type': 'application/json',
        'kbn-xsrf': 'kibana',
        Accept: 'application/json, text/plain'
    }
});
function sendMessages(messages, options) {
    const controller = new AbortController();
    const data = { messages, ...options };
    const promise = exports.client.post('/chat', data, { signal: controller.signal })
        .then(response => response.data);
    return { promise, cancel: () => controller.abort() };
}
function generateGraphReport(graph, options) {
    const controller = new AbortController();
    const data = { graph, selection: options?.focusNodes, customPrompt: options?.customPrompt };
    const promise = exports.client.post('/generateReport', data, { signal: controller.signal })
        .then(response => response.data);
    return { promise, cancel: () => controller.abort() };
}
